﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@model Toyota.Common.Web.MVC.ModelHolder   
@using Portal.Models.NewSystem;

<div class ="content">
<table border = "0">
    <tr>
        
                                                                                        
          <td>
          @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Function ID";
                    label.Width = 68;
                }).GetHtml()
            </td>
            @*<td style="width:0.5px"></td>*@
            <td>@Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "txtFuncID";
                    gridLookup.Width = 120;

                    gridLookup.GridProperties.KeyFieldName = "FunctionId";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "NewSystem", Action = "PartialFuncGridLookup" };
                    gridLookup.ReadOnly = false;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "FunctionId";
                        column.FieldName = "FunctionId";
                        column.Caption = "Function ID";
                        column.Width = Unit.Pixel(45);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        //column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "FunctionName";
                        column.FieldName = "FunctionName";
                        column.Caption = "Function Name";
                        column.Width = Unit.Pixel(160);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        //column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["funcGridLookup"]).GetHtml() 
            
            
           
               </td>

           <td style="width:8px"></td>
        <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "System Code";
                    label.Width = 80;
                    
         }).GetHtml()
        
        </td>

       @* <td style="width:0.5px"></td>*@
    <td>@Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "txtSystemCD";
                               // edtSettings.Text = "C001";
                                edtSettings.Width = Unit.Pixel(90);
                                edtSettings.Properties.EnableClientSideAPI = true;
                                //edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                              }).GetHtml()
               </td>




  <td style="width:17px"></td>
        <td>
        @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "System Remark";
                    label.Width = 88;
                    
         }).GetHtml()
        
        </td>

       @* <td style="width:0.5px"></td>*@
    <td>@Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "txtSystemRem";
                               // edtSettings.Text = "C001";
                                edtSettings.Width = Unit.Pixel(90);
                                edtSettings.Properties.EnableClientSideAPI = true;
                                //edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                              }).GetHtml()
               </td>


  <td style="width:17px"> </td>
   <td>
     @Html.DevExpress().Label(
      label =>
      {
          label.ControlStyle.CssClass = "Label";
          label.Text = "System Value";
          label.Width = Unit.Pixel(78);
          label.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
          //label.Style.Add("padding-right", "10px");
      }).GetHtml()
    </td>
   
   
    @*<td style="width:0.5px"> </td>*@
    <td>@Html.DevExpress().TextBox(
                            edtSettings =>
                            {
                                edtSettings.Name = "txtSysVal";
                               // edtSettings.Text = "C001";
                                edtSettings.Width = Unit.Pixel(90);
                                edtSettings.Properties.EnableClientSideAPI = true;
                                //edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                              }).GetHtml()
               </td>

               

        <td style="width:600px"></td>
    @*<td colspan="1" style="width:550px"></td>*@
    <td>
        @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.UseSubmitBehavior = true;
                    button.ClientEnabled = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
    </td>
   
    <td>
        @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.UseSubmitBehavior = true;
                    button.ClientEnabled = true;
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }
            ).GetHtml()
    </td>
 
   

@*<tr>
    <td colspan="19">
        <hr />
    </td>
</tr>
    <tr>
    <td>
        @Html.DevExpress().Button(
        edtSetting =>
        {
        edtSetting.Name = "cmdDownload";
        edtSetting.Width = 80;
        edtSetting.Text = "Download";
        edtSetting.ClientSideEvents.Click = "DownloadData";
        edtSetting.Style.Add("display", "inline-table");
        edtSetting.UseSubmitBehavior = true;
        }
        ).GetHtml()
    </td>
    </tr>*@
    </tr>
</table>
</div>